Scriptname _DE_PowerScript extends ActiveMagicEffect

GlobalVariable property GameHour auto
GlobalVariable property _DE_CurrentTemp auto
GlobalVariable property _DE_ExposurePoints auto
Message property _DE_Power11 auto
Message property _DE_Power10 auto
Message property _DE_Power9 auto
Message property _DE_Power8 auto
Message property _DE_Power7 auto
Message property _DE_Power6 auto
Message property _DE_Power5 auto
Message property _DE_Power4 auto
Message property _DE_Power3 auto
Message property _DE_Power2 auto
Message property _DE_Power1 auto

Event OnInit()
	DisplayPowerMessage()
endEvent

function DisplayPowerMessage()
	
	int iNightFactor = 0
	
	;Day or night?
	if GameHour.GetValue() > 19
		iNightFactor = 5
	elseif GameHour.GetValue() < 7
		iNightFactor = 5
	else
		iNightFactor = 0
	endif
	
	int temp = _DE_CurrentTemp.GetValueInt()
	
	temp -= iNightFactor
	
	int myEP = 100
	
	if _DE_ExposurePoints.GetValueInt() > 120.0				;Don't show the player that it is greater than 120 - will self-correct next cycle
		myEP = 120
	else
		myEP = _DE_ExposurePoints.GetValueInt()
	endif
	
	if Game.GetPlayer().IsInInterior()
		_DE_Power11.Show(myEP)
		return
	endif
	
	if temp >= 18 						;Brilliant Emerald		;The sun is radiant and exhilirating.
		_DE_Power10.Show(myEP)
	elseif temp < 18 && temp >= 15		;Bright Green			;The air is warm.
		_DE_Power9.Show(myEP)
	elseif temp < 15 && temp > 10		;Faintly Green			;The air is pleasant.
		_DE_Power8.Show(myEP)
	elseif temp == 10					;Crystal Clear			;The air is temperate.
		_DE_Power7.Show(myEP)
	elseif temp < 10 && temp >= 6		;Faintly Blue			;The air is cool.
		_DE_Power6.Show(myEP)
	elseif temp < 6 && temp >= 1		;Pale Blue				;The air is chilly.
		_DE_Power5.Show(myEP)
	elseif temp < 1 && temp >= -4		;Azure Blue				;The air is cold.
		_DE_Power4.Show(myEP)
	elseif temp < -4 && temp >= -9		;Dark Blue				;The air is biting cold.
		_DE_Power3.Show(myEP)
	elseif temp < -9 && temp >= -14		;Midnight Blue			;The air is bone-chilling.
		_DE_Power2.Show(myEP)
	elseif temp < -14					;Pure Black				;The air is frigid and deadly.
		_DE_Power1.Show(myEP)			
	endif
endFunction