scriptname _DE_DeleteFirewoodPile extends ObjectReference

import utility

MiscObject property Firewood01 auto
float property pCreateTime auto

Event OnInit()
	pCreateTime = GetCurrentGameTime()
	RegisterForUpdate(1)
	;debug.notification("I just initialized")
endEvent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akDestContainer)
	;Delete this pile if the player takes all of the wood from it.
	if akBaseItem == Firewood01
		if self.GetItemCount(Firewood01) == 0
			Game.DisablePlayerControls()			;Force player out of the wood inventory
			Game.EnablePlayerControls()
			self.Disable()
			self.Delete()
		endif
	endif
endEvent

Event OnUpdate()
	if GetCurrentGameTime() - pCreateTime >= 2
		;Age out this firewood pile, and remove any firewood in the central container.
		;debug.notification("Aging out firewood...")
		int myFirewoodCount = self.GetItemCount(Firewood01)
		self.RemoveItem(Firewood01, myFirewoodCount)
		UnregisterForUpdate()
		self.Disable()
		self.Delete()
	endif
endEvent
	
	