Scriptname _DE_SwimDetectScript_Dry extends activemagiceffect  

GlobalVariable property _DE_SwimState auto
GlobalVariable property _DE_WetTime auto
_DE_EPMonitor_1_6 property pMainScript auto
GlobalVariable property GameHour auto
Spell property _DE_WetState_Spell3 auto
spell property _DE_ColdWater_1 auto
spell property _DE_ColdWater_2 auto
spell property _DE_ColdWater_3 auto
message property _DE_WetStateMsg_Wet auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	;Player is no longer swimming
	_DE_SwimState.SetValue(0)
	
	if Game.GetPlayer().HasSpell(_DE_ColdWater_1)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_1)
	endif
	if Game.GetPlayer().HasSpell(_DE_ColdWater_2)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_2)
	endif
	if Game.GetPlayer().HasSpell(_DE_ColdWater_3)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_3)
	endif
	
	;What time did the player get out of the water?
	_DE_WetTime.SetValue(GameHour.GetValue())
	
	if pMainScript.pWetPoints >= 31.0
		if pMainScript.pSetting_IsRunning == true && pMainScript.ShutdownState == false
			Game.GetPlayer().AddSpell(_DE_WetState_Spell3, false)
		else
			Game.GetPlayer().AddSpell(_DE_WetState_Spell3, false)
			RegisterForSingleUpdate(9)
		endif
	endif
endEvent

Event OnUpdate()
	Game.GetPlayer().RemoveSpell(_DE_WetState_Spell3)
	pMainScript.pWetPoints = 0.0
endEvent

